Afficher ou changer la version de PHP

Pour les offres d'hébergement Linux ou Serveur Dédié Managed

Nous vous montrons dans cet article comment trouver et modifier la version PHP active pour votre ou vos domaine(s) ou site(s) Web.

Veuillez noter
  • Changer la version PHP d'un domaine a un impact direct sur les sites Web associés et peut en affecter la fonctionnalité. Pour les sites Web que vous n'avez pas programmés vous-même, nous vous recommandons de vérifier d'abord les spécifications du fabricant pour la version PHP recommandée.
  • Pour les administrateurs de sites web WordPress ou Joomla !, nous vous recommandons de suivre la procédure décrite dans l'article correspondant avant de changer la version PHP :
    WordPress : Mettre à jour la version PHP
    Mettre à jour la version PHP d'un site Web Joomla !
  • Connectez-vous à 1&1 IONOS. Nous vous redirigeons automatiquement vers la page des paramètres PHP si vous disposez d'au moins un domaine dans votre contrat.
  • La liste de vos domaines est affichée. Dans la colonne Version PHP vous voyez la version PHP active pour le domaine concerné.
  • Si vous voulez changer la version PHP d'un de vos domaines ou sous-domaines, cliquez sur le domaine ou sous-domaine souhaité.
    Ensuite, sélectionnez la version de PHP désirée et cliquez sur Enregistrer.

    Astuce : vous pouvez également définir en une seule étape la même version PHP pour plusieurs domaines. Cochez simplement les domaines souhaités dans la vue d'ensemble, puis cliquez sur changer de version PHP.
  • Maintenant, sélectionnez la version de PHP désirée :

    Versions récentes : Dans cette section, vous trouverez les versions de PHP qui sont encore activement maintenues par la communauté PHP. Les mises à jour correspondantes seront installées automatiquement par nos soins, afin que vous utilisiez toujours la version la plus récente. Avec 1&1 IONOS, vous pouvez utiliser gratuitement toutes les versions PHP récentes.

    Versions obsolètes : En cliquant sur le lien Le Support Prolongé PHP pour les versions obsolètes, vous trouvez les anciennes versions de PHP pour lesquelles le support de la communauté PHP a déjà expiré et pour lesquelles nous fournissons donc des mises à jour de sécurité de manière indépendante. Si votre logiciel de site Web nécessite l'une de ces versions, vous pouvez la commander par le biais de notre Support Prolongé PHP en cliquant simplement sur le lien approprié et en suivant les instructions. Une fois votre commande passée, il peut s'écouler quelques minutes avant que vous puissiez sélectionner la version appropriée. Vous devrez peut-être recharger la page.
  • Cliquez sur Enregistrer pour activer la version PHP sélectionnée.

La version PHP souhaitée est maintenant activée. Cela peut prendre un moment.

Remarques
  • Dès que la nouvelle version de PHP est active, elle est automatiquement utilisée par votre site Web. Si le site ne fonctionne pas correctement après le changement, vous pouvez toujours revenir à la version PHP précédente ou tester une autre version PHP.
  • Nous vous recommandons de toujours exécuter vos sites Web avec une version PHP actuelle. Avec PHP 7.3, vous pouvez utiliser les applications les plus populaires comme WordPress, Joomla, Drupal etc. sans aucun autre problème de compatibilité. En plus des nouvelles fonctionnalités, les nouvelles versions de PHP offrent généralement aussi des améliorations de performance, qui se traduisent par des temps de chargement ou de réaction plus courts sur votre site Web.
  • Pour les sites Web WordPress Managed et MyWebsite, la version PHP est automatiquement gérée par 1&1 IONOS et ne peut donc pas être modifiée.